package com.sifang.modules.customer.form;

//租赁物信息
public class PrjProjectLeaseItem {

    private String partnersLeaseItemId;//租赁物ID,租赁物唯一标识，不能重复
    private String fullName;//租赁物名称
    private String shortName;//租赁物简称
    private String producer;//逆变器生产商,原字段名称：生产商。传输内容：由光伏设备生产商调整为逆变器生产商
    private String productModel;//组件型号,仅传输组件功率数字，例：CS6W-545MS仅传输545
    private Number installedCapacity;//装机容量（W），组件型号*组件数量=装机容量
    private String description;//备注
    private String moduleProducer;//组件生产商，进件阶段可不传，农户投放审查阶段必传
    private String inverterNumber;//逆变器编号，不允许有空白符 \s,特殊符号[-@#￥%&~^]
    private String inverterBrand;//逆变器品牌，进件阶段可不传，农户投放审查阶段必传
    private String inverterModel;//逆变器型号，进件阶段可不传，农户投放审查阶段必传
    private Number moduleQuantity;//组件数量

    public String getPartnersLeaseItemId() {
        return partnersLeaseItemId;
    }

    public void setPartnersLeaseItemId(String partnersLeaseItemId) {
        this.partnersLeaseItemId = partnersLeaseItemId;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public String getProductModel() {
        return productModel;
    }

    public void setProductModel(String productModel) {
        this.productModel = productModel;
    }

    public Number getInstalledCapacity() {
        return installedCapacity;
    }

    public void setInstalledCapacity(Number installedCapacity) {
        this.installedCapacity = installedCapacity;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getModuleProducer() {
        return moduleProducer;
    }

    public void setModuleProducer(String moduleProducer) {
        this.moduleProducer = moduleProducer;
    }

    public String getInverterNumber() {
        return inverterNumber;
    }

    public void setInverterNumber(String inverterNumber) {
        this.inverterNumber = inverterNumber;
    }

    public String getInverterBrand() {
        return inverterBrand;
    }

    public void setInverterBrand(String inverterBrand) {
        this.inverterBrand = inverterBrand;
    }

    public String getInverterModel() {
        return inverterModel;
    }

    public void setInverterModel(String inverterModel) {
        this.inverterModel = inverterModel;
    }

    public Number getModuleQuantity() {
        return moduleQuantity;
    }

    public void setModuleQuantity(Number moduleQuantity) {
        this.moduleQuantity = moduleQuantity;
    }
}
